Macaulay2 » Documentation
Packages » MultiprojectiveVarieties :: ambient(MultiprojectiveVariety)
next | previous | forward | backward | up | index | toc

# ambient(MultiprojectiveVariety) -- the ambient multi-projective space of the variety

- Function: ambient
- Usage:
    `ambient X`
- Inputs:
  - X, a multi-projective variety
- Outputs:
  - a multi-projective variety, the product of the projective spaces where $X$ is embedded

## Description

    i1 : X = PP_QQ^({1,1,1},{2,1,3});

    o1 : ProjectiveVariety, threefold in PP^2 x PP^1 x PP^3

    i2 : ambient X;

    o2 : ProjectiveVariety, PP^2 x PP^1 x PP^3

## Ways to use this method:

- ambient(MultiprojectiveVariety) -- the ambient multi-projective space of the variety

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/MultiprojectiveVarieties.m2:2611:0.